Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin.util
Interface JettyPluginServer

All Superinterfaces:
  Proxy

All Known Implementing Classes:
  Jetty6PluginServer

    public interface JettyPluginServer

extends Proxy

JettyPluginServer Type to hide differences in API for different versions of Jetty for Server class.

Method Summary
`void` | `addWebApplication(WebAppContext webapp)`
`void` | `configureHandlers()`
`java.lang.Object` | `createDefaultConnector(java.lang.String port)`
`java.lang.Object[]` | `getConnectors()`
`java.lang.Object` | `getRequestLog()`
`java.lang.Object[]` | `getUserRealms()`
`void` | `join()`
`void` | `setConnectors(java.lang.Object[] connectors)`
`void` | `setRequestLog(java.lang.Object requestLog)`
`void` | `setUserRealms(java.lang.Object[] realms)`
`void` | `start()`

Methods inherited from interface org.mortbay.jetty.plugin.util.Proxy
`getProxiedObject`

Method Detail

### setRequestLog

    void setRequestLog(java.lang.Object requestLog)

### getRequestLog

    java.lang.Object getRequestLog()

### setConnectors

    void setConnectors(java.lang.Object[] connectors)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConnectors

    java.lang.Object[] getConnectors()

### setUserRealms

    void setUserRealms(java.lang.Object[] realms)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUserRealms

    java.lang.Object[] getUserRealms()

### configureHandlers

    void configureHandlers()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addWebApplication

    void addWebApplication(WebAppContext webapp)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createDefaultConnector

    java.lang.Object createDefaultConnector(java.lang.String port)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### join

    void join()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.